Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jasperreports
Class JasperReportsResult

    java.lang.Object
      org.apache.struts2.dispatcher.StrutsResultSupport
          org.apache.struts2.views.jasperreports.JasperReportsResult

All Implemented Interfaces:
  com.opensymphony.xwork2.Result, java.io.Serializable, org.apache.struts2.StrutsStatics, JasperReportConstants

    public class JasperReportsResult

extends org.apache.struts2.dispatcher.StrutsResultSupport
implements JasperReportConstants

Generates a JasperReports report using the specified format or PDF if no format is specified.

This result type takes the following parameters:

- location (default) - the location where the compiled jasper report definition is (foo.jasper), relative from current URL.
- dataSource (required) - the EL expression used to retrieve the datasource from the value stack (usually a List).
- parse - true by default. If set to false, the location param will not be parsed for EL expressions.
- format - the format in which the report should be generated. Valid values can be found in `JasperReportConstants`. If no format is specified, PDF will be used.
- contentDisposition - disposition (defaults to "inline", values are typically filename="document.pdf").
- documentName - name of the document (will generate the http header `Content-disposition = X; filename=X.[format]`).
- delimiter - the delimiter used when generating CSV reports. By default, the character used is ",".
- imageServletUrl - name of the url that, when prefixed with the context page, can return report images.

This result follows the same rules from `StrutsResultSupport`. Specifically, all parameters will be parsed if the "parse" parameter is not set to false.

Example:

     <result name="success" type="jasper">
       <param name="location">foo.jasper</param>
       <param name="dataSource">mySource</param>
       <param name="format">CSV</param>
     </result>

or for pdf

     <result name="success" type="jasper">
       <param name="location">foo.jasper</param>
       <param name="dataSource">mySource</param>
     </result>

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `contentDisposition`
`protected java.lang.String` | `dataSource`
`protected java.lang.String` | `delimiter`
`protected java.lang.String` | `documentName`
`protected java.lang.String` | `format`
`protected java.lang.String` | `imageServletUrl`

Fields inherited from class org.apache.struts2.dispatcher.StrutsResultSupport
`DEFAULT_PARAM`

Fields inherited from interface org.apache.struts2.views.jasperreports.JasperReportConstants
`FORMAT_CSV, FORMAT_HTML, FORMAT_PDF, FORMAT_RTF, FORMAT_XLS, FORMAT_XML`

Fields inherited from interface org.apache.struts2.StrutsStatics
`HTTP_REQUEST, HTTP_RESPONSE, PAGE_CONTEXT, SERVLET_CONTEXT, SERVLET_DISPATCHER, STRUTS_PORTLET_CONTEXT`

Constructor Summary
`JasperReportsResult()`
`JasperReportsResult(java.lang.String location)`

Method Summary
`protected void` | `doExecute(java.lang.String finalLocation, com.opensymphony.xwork2.ActionInvocation invocation)`
`java.lang.String` | `getImageServletUrl()`
`JasperReportsResult` | `setContentDisposition(java.lang.String contentDisposition)`
`JasperReportsResult` | `setDataSource(java.lang.String dataSource)`
`JasperReportsResult` | `setDelimiter(java.lang.String delimiter)`
`JasperReportsResult` | `setDocumentName(java.lang.String documentName)`
`JasperReportsResult` | `setFormat(java.lang.String format)`
`JasperReportsResult` | `setImageServletUrl(java.lang.String imageServletUrl)`

Methods inherited from class org.apache.struts2.dispatcher.StrutsResultSupport
`conditionalParse, execute, getLastFinalLocation, setEncode, setLocation, setParse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataSource

    protected java.lang.String dataSource

### format

    protected java.lang.String format

### documentName

    protected java.lang.String documentName

### contentDisposition

    protected java.lang.String contentDisposition

### delimiter

    protected java.lang.String delimiter

### imageServletUrl

    protected java.lang.String imageServletUrl

Constructor Detail

### JasperReportsResult

    public JasperReportsResult()

### JasperReportsResult

    public JasperReportsResult(java.lang.String location)

Method Detail

### getImageServletUrl

    public java.lang.String getImageServletUrl()

### setImageServletUrl

    public JasperReportsResult setImageServletUrl(java.lang.String imageServletUrl)

### setDataSource

    public JasperReportsResult setDataSource(java.lang.String dataSource)

### setFormat

    public JasperReportsResult setFormat(java.lang.String format)

### setDocumentName

    public JasperReportsResult setDocumentName(java.lang.String documentName)

### setContentDisposition

    public JasperReportsResult setContentDisposition(java.lang.String contentDisposition)

### setDelimiter

    public JasperReportsResult setDelimiter(java.lang.String delimiter)

### doExecute

    protected void doExecute(java.lang.String finalLocation,
                             com.opensymphony.xwork2.ActionInvocation invocation)
                      throws java.lang.Exception

  Specified by:
    `doExecute` in class `org.apache.struts2.dispatcher.StrutsResultSupport`
  Throws:
    `java.lang.Exception`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.